JuQuadraticApproximationEngine Class Reference
Pricing engines » Vanilla option engines

Pricing engine for American options with Ju quadratic approximation. More...

`#include <ql/pricingengines/vanilla/juquadraticengine.hpp>`

Inherits engine.

## Public Member Functions

| JuQuadraticApproximationEngine (const ext::shared_ptr< GeneralizedBlackScholesProcess > &)
void | calculate () const

## Detailed Description

Pricing engine for American options with Ju quadratic approximation.

Reference: An Approximate Formula for Pricing American Options, Journal of Derivatives Winter 1999, Ju, N.

Warning:
  Barone-Adesi-Whaley critical commodity price calculation is used, it has not been modified to see whether the method of Ju is faster. Ju does not say how he solves the equation for the critical stock price, e.g. Newton method. He just gives the solution. The method of BAW gives answers to the same accuracy as in Ju (1999).

Tests:
  the correctness of the returned value is tested by reproducing results available in literature.